| SoapySDR 0.8.1-ARCH Vendor and platform neutral SDR interface library

Namespaces | Typedefs | Functions
Logger.hpp File Reference
`#include <SoapySDR/Logger.h>`
`#include <string>`
`#include <cstdarg>`

Go to the source code of this file.

## Namespaces
namespace | SoapySDR

## Typedefs
typedef SoapySDRLogLevel | SoapySDR::LogLevel
typedef SoapySDRLogHandler | SoapySDR::LogHandler

## Functions
SOAPY_SDR_API void | SoapySDR::log (const LogLevel logLevel, const std::string &message)
SOAPY_SDR_API void | SoapySDR::vlogf (const SoapySDRLogLevel logLevel, const char *format, va_list argList)
static void | SoapySDR::logf (const SoapySDRLogLevel logLevel, const char *format,...)
SOAPY_SDR_API void | SoapySDR::registerLogHandler (const LogHandler &handler)
SOAPY_SDR_API void | SoapySDR::setLogLevel (const LogLevel logLevel)

## Detailed Description

Logger API for SoapySDR devices. Implementations should use the logger rather than stdio. The default log handler prints to stderr.

Copyright
  Copyright (c) 2014-2015 Josh Blum SPDX-License-Identifier: BSL-1.0